Subject: bug#10897: copy-directory create new directory when copying a symlink

From: Michael Albinus <[email-masked]>
Date: Sun, 22 Aug 2021 20:48:12 +0200

Michael Albinus <[email-masked]> writes:

Hi Eli,

>>> Currently, this creates a new directory "/ssh::/tmp/bla", which contains
>>> the file "baz". If the new user option copy-directory-create-symlink is
>>> non-nil, this should create the symlink "/ssh::/tmp/bla", pointing to
>>> "/tmp/foo".
>>
>> Yes, sure.  We should support that with remote files as much as
>> possible.
>
> Will do. Thinking about, it makes only sense when both DIRECTORY and
> NEWNAME are located on the same host. That's what I'm going to implement.

Done. I've implemented it for all methods declared in tramp-sh.el; for
other methods it isn't relevant.

Best regards, Michael.